| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::SubjectEdit Class Reference
Inheritance diagram for Digikam::SubjectEdit:

## Public Member Functions
| SubjectEdit (QWidget *const parent)
Public Member Functions inherited from Digikam::SubjectWidget
| SubjectWidget (QWidget *const parent, bool sizesLimited=false)
void | setSubjectsList (const QStringList &list)
QStringList | subjectsList () const

## Additional Inherited Members
Signals inherited from Digikam::SubjectWidget
void | signalModified ()
Protected Slots inherited from Digikam::SubjectWidget
virtual void | slotAddSubject ()
virtual void | slotDelSubject ()
virtual void | slotEditOptionChanged (int)
virtual void | slotRefChanged ()
virtual void | slotRepSubject ()
virtual void | slotSubjectSelectionChanged ()
virtual void | slotSubjectsToggled (bool)
Protected Member Functions inherited from Digikam::SubjectWidget
virtual QString | buildSubject () const
virtual bool | loadSubjectCodesFromXML (const QUrl &url)
Protected Attributes inherited from Digikam::SubjectWidget
DTextEdit * | m_detailEdit = nullptr
QString | m_iprDefault
QLineEdit * | m_iprEdit = nullptr
DTextEdit * | m_matterEdit = nullptr
DTextEdit * | m_nameEdit = nullptr
QLabel * | m_note = nullptr
QLineEdit * | m_refEdit = nullptr
QCheckBox * | m_subjectsCheck = nullptr